%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  sepkoski
%global packver   0.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Sepkoski's Fossil Marine Animal Genera Compendium

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch

%description
Stratigraphic ranges of fossil marine animal genera from Sepkoski's (2002)
published compendium. No changes have been made to any taxonomic names.
However, first and last appearance intervals have been updated to be
consistent with stages of the International Geological Timescale.
Functionality for generating a plot of Sepkoski's evolutionary fauna is
also included. For specific details on the compendium see: Sepkoski, J. J.
(2002). A compendium of fossil marine animal genera. Bulletins of American
Paleontology, 363, pp. 1–560 (ISBN 0-87710-450-6). Access:
<https://www.biodiversitylibrary.org/item/40634#page/5/mode/1up>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
